Bug 1973766 - [4.7] Unable to attach Vsphere volume shows the error "failed to get canonical path"
Summary: [4.7] Unable to attach Vsphere volume shows the error "failed to get canonica...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: x86_64
OS: Linux
low
urgent
Target Milestone: ---
: 4.7.z
Assignee: Hemant Kumar
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1957133
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-18 16:31 UTC by Hemant Kumar
Modified: 2021-09-02 17:47 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1957133
Environment:
Last Closed: 2021-09-01 18:23:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 881 0 None None None 2021-08-12 01:01:20 UTC
Red Hat Product Errata RHSA-2021:3262 0 None None None 2021-09-01 18:24:19 UTC

Comment 1 Hemant Kumar 2021-06-18 16:36:22 UTC
This should be fixed once https://github.com/kubernetes/kubernetes/pull/102999 PR becomes available in OCP.

Comment 4 Wei Duan 2021-08-18 10:15:06 UTC
Verified pass on 4.7.0-0.nightly-2021-08-16-204701

1. Setting default-datastore = "qe/datastore3" in cm/cloud-provider-config, pv provisioning successfully and pod is running.

$ govc ls /Datacenter/datastore/qe
/Datacenter/datastore/qe/datastore3

$ oc get pv pvc-4a4ad666-82d4-4626-b2d1-b14101e9495d -ojson | jq .spec.vsphereVolume.volumePath
"[qe/datastore3] kubevols/reliability01-jhzhd-dynamic-pvc-4a4ad666-82d4-4626-b2d1-b14101e9495d.vmdk"


1. Setting default-datastore = "/Datacenter/datastore/qe/datastore3" in cm/cloud-provider-config, pv provisioning successfully and pod is running.
$ oc get pv pvc-c68d9017-0ea2-4889-aaf9-fd2eda265d62 -ojson | jq .spec.vsphereVolume.volumePath
"[/Datacenter/datastore/qe/datastore3] kubevols/reliability01-jhzhd-dynamic-pvc-c68d9017-0ea2-4889-aaf9-fd2eda265d62.vmdk"

Comment 5 ximhan 2021-08-20 08:00:10 UTC
OpenShift engineering has decided to NOT ship 4.8.6 on 8/23 due to the following issue.
https://bugzilla.redhat.com/show_bug.cgi?id=1995785
All the fixes part will be now included in 4.8.7 on 8/30.

Comment 7 ximhan 2021-08-21 06:45:09 UTC
OpenShift engineering has decided to NOT ship 4.7.25 on 8/24 due to the following issue.
https://bugzilla.redhat.com/show_bug.cgi?id=1995785
All the fixes part will be now included in 4.7.26 on 8/31.

Comment 10 errata-xmlrpc 2021-09-01 18:23:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.7.28 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3262


Note You need to log in before you can comment on or make changes to this bug.